# Get orchestration payment without user info

Gets orchestration payment without user info  by unique reference number.

Endpoint: GET /v4/orchestration/internal/payment/{uniqueReferenceNumber}
Version: 4.0.0
Security: Bearer

## Security:

  - `Bearer` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `uniqueReferenceNumber` (string, required)
    Unique reference number of the orchestration payment to fetch.

## Response 200:

  - `200` (unknown)
    Successfully returned orchestration payment.

## Response 200 fields (*/*):

  - `uuid` (string)
    Unique Identifier of the orchestration payment.
    Example: 5492648d-2132-4e70-9ded-2fc86f22b321

  - `unique_reference_number` (string)
    Unique reference number.
    Example: 00310000015

  - `sender_end_to_end_id` (string)
    Sender end-to-end ID.
    Example: 00310000015

  - `payment_type` (string)
    The payment type for the payment.
    Enum: "REGULAR", "RETURN", "REVERSAL"

  - `connector_role` (string)
    The connector role for payment.
    Enum: "SENDING", "RECEIVING", "INTERMEDIARY"

  - `payment_id` (string)
    Payment ID for the transaction in RippleNet.
    Example: 26bf269b-1a2b-c3d4-872a-7f18d7dcf9f2

  - `payment_status` (string)
    Status of the payment.
    Example: SUCCESS

  - `previous_payment_status` (string)
    Previous status of the payment.
    Example: EXECUTED

  - `orchestration_template` (string)
    Template name used for executing the orchestration payment.
    Example: default_template

  - `orchestration_status` (string)
    Status of the orchestration payment.
    Example: RUNNING

  - `current_activity` (string)
    Current activity which is being executed.
    Example: get_quote_v1

  - `current_activity_status` (string)
    Status of the current activity.
    Example: SUCCESS

  - `initial_context` (object)
    Initial context for the orchestration payment.

  - `current_context` (object)
    Current context of the orchestration payment.

  - `error_message` (object)
    Error message in case of any error.

  - `activity_list` (object)
    Activity list of the activities executed so far.

  - `created_at` (string)
    Date and time at which the orchestration payment was created, as an ISO-8601 timestamp in UTC.
    Example: 2018-04-06T20:33:35Z

  - `modified_at` (string)
    Date and time at which the orchestration payment was modified, as an ISO-8601 timestamp in UTC.
    Example: 2018-04-06T20:33:35Z

